extends Node
var time 
var bettertimer = preload('res://bettertime.tscn')
var count = 0
var timerslist = []

func createtime(node,arg = 0.1, process = 0):
	time = bettertimer.instance()
	time.wait_time = arg
	time.pause_mode = process
	time.name = 'timernew'
	timerslist.append(time)
	node.call_deferred('add_child',time)
	return time


func timernuke():
	for i in timerslist:
		if i != null: i.queue_free()
